﻿@model AuthnData.Models.Sondage.EditViewModel
@{
    var sondage = ViewData["Sondage"] as AuthnData.Classes.Sondages;
    var error = TempData["Error"] as string;
    var success = TempData["Success"] as string;
    ViewData["Title"] = "Editer le Sondage";
}
@section Scripts
{
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <script>
        $(function () {
            $("#datepicker").datepicker();
        });
    </script>
}
@if(!string.IsNullOrEmpty(success))
{
    <h2 class="alert-success" style="padding:20px;">@success</h2>
}
else
{
    @if(!string.IsNullOrEmpty(error))
    {
        <h2 class="alert-danger" style="padding:20px;">@error</h2>
    }
    @if (sondage == null)
    {
        <h2 class="alert-danger" style="padding: 20px;">Aucun sondage n'a été envoyé.</h2>
    }
    else{
        <h1>Modifier son sondage</h1>
        <form asp-controller="Sondage" asp-action="Edit" method="post">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" name="token" value="@sondage.viewToken"/>
            <div class="modif-div" id="expirationDateLabel">
                <label asp-for="expirationDate" class="control-label"></label>
                @if (sondage.expireWithDate == 0)
                {
                    <input asp-for="expirationDate" id="expirationDate" name="expirationDate" class="form-control" value="@DateTime.Now.ToString("yyyy-MM-ddThh:mm")" hidden="true"/>
                }
                else
                {
                    <input asp-for="expirationDate" id="expirationDate" name="expirationDate" class="form-control" value="@DateTime.Now.ToString("yyyy-MM-ddThh:mm")" hidden="false"/>
                }
                <span asp-validation-for="expirationDate" class="text-danger"></span>
            </div>
            <div class="modif-div">
            <label asp-for="expireWithDate" class="control-label"></label>
            @if (sondage.expireWithDate == 0)
            {
                <input class="colored-checkbox" asp-for="expireWithDate" id="expireWithDate" name="expireWithDate" value="false" onchange="checkBoxChange()"/>
            }
            else
            {
                <input class="colored-checkbox" asp-for="expireWithDate" id="expireWithDate" name="expireWithDate" value="true" onchange="checkBoxChange()" checked/>
            }
            </div>
            <div class="modif-div">
            <label asp-for="notifiedByMail" class="control-label"></label>
            @if (sondage.notifiedByMail == 0)
            {
                <input class="colored-checkbox" asp-for="notifiedByMail" id="notifiedByMail" name="notifiedByMail" value="false" onchange="this.value=this.checked"/>
            }
            else
            {
                <input class="colored-checkbox" asp-for="notifiedByMail" id="notifiedByMail" name="notifiedByMail" value="true"onchange="this.value=this.checked" checked/>
            }
            </div>
            <div class="modif-div">
            <label asp-for="isClosed" class="control-label"></label>
            @if (sondage.isClosed == 1)
            {
                <input class="colored-checkbox" asp-for="isClosed" id="isClosed" name="isClosed" value="true" onchange="this.value=this.checked" checked/>
            }
            else
            {
                <input class="colored-checkbox" asp-for="isClosed" id="isClosed" name="isClosed" value="false" onchange="this.value=this.checked"/>

            }
            </div>
            <input type="submit" class="btn colored-buttons" value="Créer le Formulaire"/>
        </form>
    }
}
<script type="text/javascript">
    // check first if needed to display label
    checkBoxChange();

    function checkBoxChange() {
        var check = document.getElementById("expireWithDate");
        var inputDate = document.getElementById("expirationDate");
        var labelDate = document.getElementById("expirationDateLabel");
        check.value = check.checked;
        if(!check.checked)
        {
            inputDate.hidden = true;
            labelDate.hidden = true;
        }
        else{
            inputDate.hidden = false;
            labelDate.hidden = false;
        }
    }
</script>